#ifndef _H_CTEXT
#define _H_CTEXT

#include "CString.h"

class CText {
public:

  CText (void);
  ~CText (void);

  bool read_file (c_char);
  void rewind_text (void);
  c_char get_line (void);
  void delete_lines (void);

  int line_num;				// total lines

private:

  void add_line (c_char);

  CString filename;

  struct line_type {
    char *text;
    line_type *next;
  } *lines, *lines_cur;

  int line_cur;				// current line number

};

#endif
