#ifndef _H_CSERVICES
#define _H_CSERVICES

#include "CString.h"
#include "defines.h"

class CNetServer;

class CServices {
public:
  CServices (CNetServer *);

  void irc_services (c_char, c_char) const;

  void irc_nickserv (c_char) const;
  void nick_identify (void);

  void irc_chanserv (c_char) const;
  void chan_invite (c_char);
  void chan_unban (c_char);
  void chan_op (c_char, c_char);
  void chan_deop (c_char, c_char);

  bool exist,				// if there are irc services
       identified,			// if it's identified
       services_privmsg;		// if they use privmsg

  CString nickserv_pass,		// nickserv password
          nickserv_mask,		// nickserv's mask
          nickserv_auth;		// start of string asking to identify


private:

  CNetServer *s;			// server to which belongs
  ostrstream stm;

};

#include "mbot.h"

#endif
